var less = require('less');
var LessPluginCleanCSS = require('less-plugin-clean-css');
var fs = require('fs');

module.exports = function(options, styles, sourcemap, sourceMapURL, opts){
    var _opts = {
        plugins:[new LessPluginCleanCSS(opts)]
    };

    if(options.cssdebug === true){
        _opts.sourceMap = {
            sourceMapURL:sourceMapURL,
            outputSourceFiles:true
        }
    }

    less.render(styles, _opts, function(e, out){
        if(e){
            console.log(e)
        }
        else{
            styles = out.css;
            if(options.cssdebug === true && out.map){
                fs.writeFileSync(sourcemap, out.map)
            }
        }
    });

    return styles
}